log4shib::threading::MSScopedLock(3)

NAME
log4shib::threading::MSScopedLock - A simple object wrapper around WaitForSingleObject() and ReleaseMutex()

SYNOPSIS

#include <MSThreads.hh>

  Public Member Functions
MSScopedLock (MSMutex &mutex)
~MSScopedLock ()

Detailed Description

A simple object wrapper around WaitForSingleObject() and ReleaseMutex()

Constructor & Destructor Documentation

  log4shib::threading::MSScopedLock::MSScopedLock (MSMutex & mutex) [inline]

  log4shib::threading::MSScopedLock::~MSScopedLock () [inline]

Author

Generated automatically by Doxygen for log4shib from the source code.